#
# spec file for package python3-rethinkdb
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-rethinkdb
Version:        1.2.6
Release:        2.6
Summary:        Python driver library for the RethinkDB database server
License:        AGPL-3.0
Group:          Development/Languages/Python
Url:            http://rethinkdb.com/
Source:         https://files.pythonhosted.org/packages/source/r/rethinkdb/rethinkdb-%{version}-0.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-protobuf
Requires:       python3-protobuf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
RethinkDB pushes JSON to your apps in realtime.

When your app polls for data, it becomes slow, unscalable, and
cumbersome to maintain.

RethinkDB is the open-source, scalable database that makes building
realtime apps dramatically easier.

%prep
%setup -q -n rethinkdb-%{version}-0

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*

%changelog
* Sat Jul 23 2016 arun@gmx.de
- initial version
